package de.intevation.artifacts;

import java.util.Locale;

/**
 * Interface to inject meta data like languages to CallContexts.
 *
 * @author <a href="mailto:sascha.teichmann@intevation.de">Sascha L. Teichmann</a>
 */
public interface CallMeta
{
    /**
     * Returns a list of the languages the calling client is willing to accept.
     * @return the list.
     */
    PreferredLocale [] getLanguages();

    /**
     * Intersects the list of preferred client languages with a server
     * given list and returns the one which is best fitting.
     * @param locales The list of languages the server provides.
     * @return The best fitting language.
     */
    Locale getPreferredLocale(Locale [] locales);
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
